Main Page Packages Class Hierarchy Compound List File List Compound Members

# elementsetattributenomodificationallowederr Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| elementsetattributenomodificationallowederr (DOMTestDocumentBuilderFactory factory) throws DOMTestIncompatibleException
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "setAttribute(name,value)" method for an attribute causes the DOMException NO_MODIFICATION_ALLOWED_ERR to be raised if the node is readonly.

Obtain the children of the THIRD "gender" element. The elements content is an entity reference. Try to remove the "domestic" attribute from the entity reference by executing the "setAttribute(name,value)" method. This causes a NO_MODIFICATION_ALLOWED_ERR DOMException to be thrown.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#xpointer(id('ID-258A00AF')/constant[@name='NO_MODIFICATION_ALLOWED_ERR']) , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-F68F082 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#xpointer(id('ID-F68F082')/raises/exception[@name='DOMException']/descr/p[substring-before(.,':')='NO_MODIFICATION_ALLOWED_ERR']) , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-F68F082

Definition at line 49 of file elementsetattributenomodificationallowederr.java.

## Constructor & Destructor Documentation

elementsetattributenomodificationallowederr::elementsetattributenomodificationallowederr | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 51 of file elementsetattributenomodificationallowederr.java. References DocumentBuilderSetting::notExpandEntityReferences, and DOMTest::setFactory().
    00052                                      {
    00053
    00054       DocumentBuilderSetting[] settings = new DocumentBuilderSetting[] {
    00055 DocumentBuilderSetting.notExpandEntityReferences
    00056         };
    00057         DOMTestDocumentBuilderFactory testFactory = factory.newInstance(settings);
    00058         setFactory(testFactory);
    00059
    00060    }

## Member Function Documentation

String elementsetattributenomodificationallowederr::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 87 of file elementsetattributenomodificationallowederr.java.
    00087                                 {
    00088       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/elementsetattributenomodificationallowederr";
    00089    }

void elementsetattributenomodificationallowederr::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 90 of file elementsetattributenomodificationallowederr.java. References DOMTestCase::doMain().
    00090                                           {
    00091         DOMTestCase.doMain(elementsetattributenomodificationallowederr.class,args);
    00092    }

void elementsetattributenomodificationallowederr::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 62 of file elementsetattributenomodificationallowederr.java. References DOMTestCase::assertTrue(), and DOMTest::load().
    00062                                                     {
    00063       Document doc;
    00064       NodeList genderList;
    00065       Node gender;
    00066       EntityReference entRef;
    00067       Element entElement;
    00068       doc = load("staff");
    00069       genderList = doc.getElementsByTagName("gender");
    00070       gender = genderList.item(2);
    00071       entRef = (EntityReference)gender.getFirstChild();
    00072       entElement = (Element)entRef.getFirstChild();
    00073
    00074         {
    00075                 boolean success = false;
    00076                 try {
    00077                         entElement.setAttribute("newAttr","newValue");
    00078
    00079                 }
    00080                 catch(DOMException ex) {
    00081                         success = (ex.code == DOMException.NO_MODIFICATION_ALLOWED_ERR);
    00082                 }
    00083                 assertTrue("throw_NO_MODIFICATION_ALLOWED_ERR",success);
    00084         }
    00085
    00086    }

The documentation for this class was generated from the following file:

- elementsetattributenomodificationallowederr.java